diff --git a/doc/src/sgml/ref/pg_xlogdump.sgml b/doc/src/sgml/ref/pg_xlogdump.sgml
new file mode 100644
index cfb6d87..078b08e
*** a/doc/src/sgml/ref/pg_xlogdump.sgml
--- b/doc/src/sgml/ref/pg_xlogdump.sgml
*************** PostgreSQL documentation
*** 117,125 ****
        <term><option>--path=<replaceable>path</replaceable></option></term>
        <listitem>
         <para>
!         Directory in which to find log segment files.  The default is to search
!         for them in the <literal>pg_wal</literal> subdirectory of the current
!         directory.
         </para>
        </listitem>
       </varlistentry>
--- 117,128 ----
        <term><option>--path=<replaceable>path</replaceable></option></term>
        <listitem>
         <para>
!         Specifies a directory to search for log segment files or a
!         directory with a <literal>pg_wal</literal> subdirectory that
!         contains such files.  The default is to search in the current
!         directory, the <literal>pg_wal</literal> subdirectory of the
!         current directory, and the <literal>pg_wal</literal> subdirectory
!         of <envar>PGDATA</envar>.
         </para>
        </listitem>
       </varlistentry>
diff --git a/src/bin/pg_xlogdump/pg_xlogdump.c b/src/bin/pg_xlogdump/pg_xlogdump.c
new file mode 100644
index 0ad441e..8bfa827
*** a/src/bin/pg_xlogdump/pg_xlogdump.c
--- b/src/bin/pg_xlogdump/pg_xlogdump.c
*************** usage(void)
*** 680,686 ****
  	printf(_("  -f, --follow           keep retrying after reaching end of WAL\n"));
  	printf(_("  -n, --limit=N          number of records to display\n"));
  	printf(_("  -p, --path=PATH        directory in which to find log segment files\n"
! 			 "                         (default: ./pg_wal)\n"));
  	printf(_("  -r, --rmgr=RMGR        only show records generated by resource manager RMGR\n"
  			 "                         use --rmgr=list to list valid resource manager names\n"));
  	printf(_("  -s, --start=RECPTR     start reading at log position RECPTR\n"));
--- 680,687 ----
  	printf(_("  -f, --follow           keep retrying after reaching end of WAL\n"));
  	printf(_("  -n, --limit=N          number of records to display\n"));
  	printf(_("  -p, --path=PATH        directory in which to find log segment files\n"
! 	printf(_("                         or a directory with a ./pg_wal that contains such files\n"
! 			 "                         (default: current directory, ./pg_wal, PGDATA/pg_wal)\n"));
  	printf(_("  -r, --rmgr=RMGR        only show records generated by resource manager RMGR\n"
  			 "                         use --rmgr=list to list valid resource manager names\n"));
  	printf(_("  -s, --start=RECPTR     start reading at log position RECPTR\n"));
